module.exports = {
  create: {
    requestBody: [
      "apply_id",
      "desc",
      "status",
      "verify_id",
      "verify_phone",
      "verify",
      "step",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "apply_id",
      "desc",
      "status",
      "verify_id",
      "verify_phone",
      "verify",
      "step",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        apply_id: "apply_id",
        step: "step",
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
