module.exports = {
  create: {
    requestBody: [
      "expert_id",
      "expert_name",
      "phone",
      "password",
      "company",
      "group_zw",
      "major",
      "now_major",
      "zw",
      "zc",
      "apply_id",
      "score",
      "desc",
      "type",
      "status",
      "role",
      "code",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "expert_id",
      "expert_name",
      "phone",
      "password",
      "company",
      "group_zw",
      "major",
      "now_major",
      "zw",
      "zc",
      "apply_id",
      "score",
      "desc",
      "type",
      "status",
      "role",
      "code",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        expert_id: "expert_id",
        expert_name: "expert_name",
        apply_id: "apply_id",
        score: "score",
        desc: "desc",
        type: "type",
        status: "status",
        role:"role",
        code:"code",
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  // 登陆
  login: {
    requestBody: ["!phone", "!password"],
    service: "login",
  },
  //修改密码
  password: {
    params: ["!id"],
    requestBody: ["password"],
    service: "password",
  },
};
