/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
const { jwt } = require('./config.secret');
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1640765284662_2781';

  // add your middleware config here
  config.middleware = [ 'requestLog' ];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  // 日志
  config.logger = {
    level: 'DEBUG',
    allowDebugAtProd: true,
  };
  // mq设置
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'freeAdmin',
      password: '1qaz2wsx',
      vhost: 'freeAdmin',
    },
    app: true,
    agent: true,
  };
  // 接收队列名称
  config.queue = 'freeAdmin/server-user';
  // 发送队列名称
  config.sendQueue = {
    logs: 'freeAdmin/server-logs',
  };
  // http请求前缀
  config.httpPrefix = {
    base: 'http://127.0.0.1/api/live/v1',
    logs: 'http://localhost:13002/freeAdminLog/api',
  };
  // redis设置
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '123456',
      db: 0,
    },
  };
  // 进程设置
  config.cluster = {
    listen: {
      port: 9302,
    },
  };

  // jwt设置
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'platform-v1',
  };

  // 数据库设置
  config.dbName = 'platform-achieve-v1';
  config.mongoose = {
    url: `mongodb://localhost:27017/${config.dbName}`,
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };
  // 路由设置
  config.routePrefix = '/api/achieve/v1';

  // 中间件
  config.requestLog = {
    toMongoDB: false,
  };
  config.module = 'achieve';
  return {
    ...config,
    ...userConfig,
  };
};
